﻿@model SportsClub.Models.Register.RegisterProgramScheduleModel

@{
    Layout = null;
}

@Html.HiddenFor(m => m.Id)
@Html.HiddenFor(m => m.StartDate)
@Html.HiddenFor(m => m.EndDate)
@Html.Hidden("RegistrationTypeHidden", Model.RegistrationType, new { @id = "registrationType" })



<div class="form-group pull-left">
    <div class="radio">       
        <label for="packed">@Model.StartDate.ToString().Replace("12:00:00 AM", "") - @Model.EndDate.ToString().Replace("12:00:00 AM", "")</label>
    </div> 
</div>

<div id="packedSection">
    <div class="form-group pull-left">
        @*<div class="pull-left inline-form">
            <strong>
                @Html.DisplayNameFor(model => model.PriceTitle):
            </strong>
            @Html.DisplayFor(model => model.Price)
        </div>*@

        <div class="clearfix"></div>

        <div class="pull-left inline-form">
            <strong>
                @Html.DisplayNameFor(model => model.StartDate):
            </strong>
            @Html.DisplayFor(model => model.StartDate, "DateWithoutTime")
        </div>

        <div class="clearfix"></div>

        <div class="pull-left inline-form">
            <strong>
                @Html.DisplayNameFor(model => model.EndDate):
            </strong>
            @Html.DisplayFor(model => model.EndDate, "DateWithoutTime")
        </div>

        <div class="clearfix"></div>

        <div class="pull-left inline-form">
            <table border="1">
                <thead>
                    <tr>
                        <th>Start time</th>
                        <th>End time</th>
                    </tr>
                </thead>
                @foreach (var item in Model.ScheduleSections)
                {
                    <tr>
                        <td>@item.Start</td>
                        <td>@item.End</td>
                    </tr>
                }
            </table>
        </div>
    </div>
</div>

<br />
<br />


<div id="dropinSection">
    @Html.DropDownListFor(m => m.SelectedSection, Model.ScheduleSections.Select(s => new SelectListItem() { Text = s.Start.ToString() + " " + s.End.ToString(), Value = s.Id.ToString() }))
</div>

<script>

</script>